;******************************************************************************
;* TI ARM C/C++ Codegen                                             PC v5.2.4 *
;* Date/Time created: Tue Oct 15 10:09:03 2024                                *
;******************************************************************************
	.compiler_opts --abi=ti_arm9_abi --arm_vmrs_si_workaround=off --code_state=16 --embedded_constants=on --endian=big --float_support=fpalib --hll_source=on --object_format=coff --silicon_version=4 --symdebug:dwarf --symdebug:dwarf_version=3 --unaligned_access=off 
	.thumb

$C$DW$CU	.dwtag  DW_TAG_compile_unit
	.dwattr $C$DW$CU, DW_AT_name("../software_interrupt_wrapper.c")
	.dwattr $C$DW$CU, DW_AT_producer("TI TI ARM C/C++ Codegen PC v5.2.4 Copyright (c) 1996-2015 Texas Instruments Incorporated")
	.dwattr $C$DW$CU, DW_AT_TI_version(0x01)
	.dwattr $C$DW$CU, DW_AT_comp_dir("C:\Users\a0500955\TI Drive\HVC_MP_Projects\HPCS Firmware\firmware_training\1-UART\uart-exercise\UCD3138")

$C$DW$1	.dwtag  DW_TAG_subprogram, DW_AT_name("swi_single_entry")
	.dwattr $C$DW$1, DW_AT_TI_symbol_name("_swi_single_entry")
	.dwattr $C$DW$1, DW_AT_declaration
	.dwattr $C$DW$1, DW_AT_external
$C$DW$2	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$2, DW_AT_type(*$C$DW$T$19)
$C$DW$3	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$3, DW_AT_type(*$C$DW$T$19)
$C$DW$4	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$4, DW_AT_type(*$C$DW$T$19)
$C$DW$5	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$5, DW_AT_type(*$C$DW$T$21)
	.dwendtag $C$DW$1

;	C:\ti\ccs1220\ccs\tools\compiler\ti-cgt-arm_5.2.4\bin\armopt.exe C:\\Users\\a0500955\\AppData\\Local\\Temp\\092322 C:\\Users\\a0500955\\AppData\\Local\\Temp\\092324 
	.sect	".text"
	.align	4
	.clink
	.thumbfunc _write_reqmask
	.thumb
	.global	_write_reqmask

$C$DW$6	.dwtag  DW_TAG_subprogram, DW_AT_name("write_reqmask")
	.dwattr $C$DW$6, DW_AT_low_pc(_write_reqmask)
	.dwattr $C$DW$6, DW_AT_high_pc(0x00)
	.dwattr $C$DW$6, DW_AT_TI_symbol_name("_write_reqmask")
	.dwattr $C$DW$6, DW_AT_external
	.dwattr $C$DW$6, DW_AT_TI_begin_file("../software_interrupt_wrapper.c")
	.dwattr $C$DW$6, DW_AT_TI_begin_line(0x31)
	.dwattr $C$DW$6, DW_AT_TI_begin_column(0x06)
	.dwattr $C$DW$6, DW_AT_TI_max_frame_size(0x04)
	.dwpsn	file "../software_interrupt_wrapper.c",line 50,column 1,is_stmt,address _write_reqmask,isa 1

	.dwfde $C$DW$CIE, _write_reqmask
$C$DW$7	.dwtag  DW_TAG_formal_parameter, DW_AT_name("value")
	.dwattr $C$DW$7, DW_AT_TI_symbol_name("_value")
	.dwattr $C$DW$7, DW_AT_type(*$C$DW$T$13)
	.dwattr $C$DW$7, DW_AT_location[DW_OP_reg0]

;*****************************************************************************
;* FUNCTION NAME: write_reqmask                                              *
;*                                                                           *
;*   Regs Modified     : A1,A2,A3,A4,V9,SP,LR,SR                             *
;*   Regs Used         : A1,A2,A3,A4,V9,SP,LR,SR                             *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                   *
;*****************************************************************************
_write_reqmask:
;* --------------------------------------------------------------------------*
;* A2    assigned to $O$C1
	.dwcfi	cfa_offset, 0
        PUSH      {LR}                  ; [] 
	.dwcfi	cfa_offset, 4
	.dwcfi	save_reg_to_mem, 14, -4
	.dwpsn	file "../software_interrupt_wrapper.c",line 51,column 2,is_stmt,isa 1
        MOVS      A2, #0;               ; [] |51| 
        MOVS      A3, A2                ; [] |51| 
        MOVS      A4, #9;               ; [] |51| 
$C$DW$8	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$8, DW_AT_low_pc(0x00)
	.dwattr $C$DW$8, DW_AT_name("_swi_single_entry")
	.dwattr $C$DW$8, DW_AT_TI_call
        SVC       #0                    ; [] |51| 
        ; CALL OCCURS {_swi_single_entry }  ; [] |51| 
        POP       {A3}                  ; [] 
	.dwcfi	cfa_offset, 0
$C$DW$9	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$9, DW_AT_low_pc(0x00)
	.dwattr $C$DW$9, DW_AT_TI_return
        BX        A3                    ; [] 
        ; BRANCH OCCURS                  ; [] 
	.dwattr $C$DW$6, DW_AT_TI_end_file("../software_interrupt_wrapper.c")
	.dwattr $C$DW$6, DW_AT_TI_end_line(0x34)
	.dwattr $C$DW$6, DW_AT_TI_end_column(0x01)
	.dwendentry
	.dwendtag $C$DW$6

	.sect	".text"
	.align	4
	.clink
	.thumbfunc _write_firqpr
	.thumb
	.global	_write_firqpr

$C$DW$10	.dwtag  DW_TAG_subprogram, DW_AT_name("write_firqpr")
	.dwattr $C$DW$10, DW_AT_low_pc(_write_firqpr)
	.dwattr $C$DW$10, DW_AT_high_pc(0x00)
	.dwattr $C$DW$10, DW_AT_TI_symbol_name("_write_firqpr")
	.dwattr $C$DW$10, DW_AT_external
	.dwattr $C$DW$10, DW_AT_TI_begin_file("../software_interrupt_wrapper.c")
	.dwattr $C$DW$10, DW_AT_TI_begin_line(0x2c)
	.dwattr $C$DW$10, DW_AT_TI_begin_column(0x06)
	.dwattr $C$DW$10, DW_AT_TI_max_frame_size(0x04)
	.dwpsn	file "../software_interrupt_wrapper.c",line 45,column 1,is_stmt,address _write_firqpr,isa 1

	.dwfde $C$DW$CIE, _write_firqpr
$C$DW$11	.dwtag  DW_TAG_formal_parameter, DW_AT_name("value")
	.dwattr $C$DW$11, DW_AT_TI_symbol_name("_value")
	.dwattr $C$DW$11, DW_AT_type(*$C$DW$T$13)
	.dwattr $C$DW$11, DW_AT_location[DW_OP_reg0]

;*****************************************************************************
;* FUNCTION NAME: write_firqpr                                               *
;*                                                                           *
;*   Regs Modified     : A1,A2,A3,A4,V9,SP,LR,SR                             *
;*   Regs Used         : A1,A2,A3,A4,V9,SP,LR,SR                             *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                   *
;*****************************************************************************
_write_firqpr:
;* --------------------------------------------------------------------------*
;* A2    assigned to $O$C1
	.dwcfi	cfa_offset, 0
        PUSH      {LR}                  ; [] 
	.dwcfi	cfa_offset, 4
	.dwcfi	save_reg_to_mem, 14, -4
	.dwpsn	file "../software_interrupt_wrapper.c",line 46,column 2,is_stmt,isa 1
        MOVS      A2, #0;               ; [] |46| 
        MOVS      A3, A2                ; [] |46| 
        MOVS      A4, #8;               ; [] |46| 
$C$DW$12	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$12, DW_AT_low_pc(0x00)
	.dwattr $C$DW$12, DW_AT_name("_swi_single_entry")
	.dwattr $C$DW$12, DW_AT_TI_call
        SVC       #0                    ; [] |46| 
        ; CALL OCCURS {_swi_single_entry }  ; [] |46| 
        POP       {A3}                  ; [] 
	.dwcfi	cfa_offset, 0
$C$DW$13	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$13, DW_AT_low_pc(0x00)
	.dwattr $C$DW$13, DW_AT_TI_return
        BX        A3                    ; [] 
        ; BRANCH OCCURS                  ; [] 
	.dwattr $C$DW$10, DW_AT_TI_end_file("../software_interrupt_wrapper.c")
	.dwattr $C$DW$10, DW_AT_TI_end_line(0x2f)
	.dwattr $C$DW$10, DW_AT_TI_end_column(0x01)
	.dwendentry
	.dwendtag $C$DW$10

	.sect	".text"
	.align	4
	.clink
	.thumbfunc _write_data_flash_word
	.thumb
	.global	_write_data_flash_word

$C$DW$14	.dwtag  DW_TAG_subprogram, DW_AT_name("write_data_flash_word")
	.dwattr $C$DW$14, DW_AT_low_pc(_write_data_flash_word)
	.dwattr $C$DW$14, DW_AT_high_pc(0x00)
	.dwattr $C$DW$14, DW_AT_TI_symbol_name("_write_data_flash_word")
	.dwattr $C$DW$14, DW_AT_external
	.dwattr $C$DW$14, DW_AT_TI_begin_file("../software_interrupt_wrapper.c")
	.dwattr $C$DW$14, DW_AT_TI_begin_line(0x13)
	.dwattr $C$DW$14, DW_AT_TI_begin_column(0x06)
	.dwattr $C$DW$14, DW_AT_TI_max_frame_size(0x04)
	.dwpsn	file "../software_interrupt_wrapper.c",line 20,column 1,is_stmt,address _write_data_flash_word,isa 1

	.dwfde $C$DW$CIE, _write_data_flash_word
$C$DW$15	.dwtag  DW_TAG_formal_parameter, DW_AT_name("address")
	.dwattr $C$DW$15, DW_AT_TI_symbol_name("_address")
	.dwattr $C$DW$15, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$15, DW_AT_location[DW_OP_reg0]
$C$DW$16	.dwtag  DW_TAG_formal_parameter, DW_AT_name("data")
	.dwattr $C$DW$16, DW_AT_TI_symbol_name("_data")
	.dwattr $C$DW$16, DW_AT_type(*$C$DW$T$13)
	.dwattr $C$DW$16, DW_AT_location[DW_OP_reg1]

;*****************************************************************************
;* FUNCTION NAME: write_data_flash_word                                      *
;*                                                                           *
;*   Regs Modified     : A1,A2,A3,A4,V9,SP,LR,SR                             *
;*   Regs Used         : A1,A2,A3,A4,V9,SP,LR,SR                             *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                   *
;*****************************************************************************
_write_data_flash_word:
;* --------------------------------------------------------------------------*
	.dwcfi	cfa_offset, 0
        PUSH      {LR}                  ; [] 
	.dwcfi	cfa_offset, 4
	.dwcfi	save_reg_to_mem, 14, -4
	.dwpsn	file "../software_interrupt_wrapper.c",line 21,column 2,is_stmt,isa 1
        MOVS      A3, #0;               ; [] |21| 
        MOVS      A4, #3;               ; [] |21| 
$C$DW$17	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$17, DW_AT_low_pc(0x00)
	.dwattr $C$DW$17, DW_AT_name("_swi_single_entry")
	.dwattr $C$DW$17, DW_AT_TI_call
        SVC       #0                    ; [] |21| 
        ; CALL OCCURS {_swi_single_entry }  ; [] |21| 
        POP       {A3}                  ; [] 
	.dwcfi	cfa_offset, 0
$C$DW$18	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$18, DW_AT_low_pc(0x00)
	.dwattr $C$DW$18, DW_AT_TI_return
        BX        A3                    ; [] 
        ; BRANCH OCCURS                  ; [] 
	.dwattr $C$DW$14, DW_AT_TI_end_file("../software_interrupt_wrapper.c")
	.dwattr $C$DW$14, DW_AT_TI_end_line(0x16)
	.dwattr $C$DW$14, DW_AT_TI_end_column(0x01)
	.dwendentry
	.dwendtag $C$DW$14

	.sect	".text"
	.align	4
	.clink
	.thumbfunc _write_data_flash_block
	.thumb
	.global	_write_data_flash_block

$C$DW$19	.dwtag  DW_TAG_subprogram, DW_AT_name("write_data_flash_block")
	.dwattr $C$DW$19, DW_AT_low_pc(_write_data_flash_block)
	.dwattr $C$DW$19, DW_AT_high_pc(0x00)
	.dwattr $C$DW$19, DW_AT_TI_symbol_name("_write_data_flash_block")
	.dwattr $C$DW$19, DW_AT_external
	.dwattr $C$DW$19, DW_AT_TI_begin_file("../software_interrupt_wrapper.c")
	.dwattr $C$DW$19, DW_AT_TI_begin_line(0x43)
	.dwattr $C$DW$19, DW_AT_TI_begin_column(0x06)
	.dwattr $C$DW$19, DW_AT_TI_max_frame_size(0x04)
	.dwpsn	file "../software_interrupt_wrapper.c",line 68,column 1,is_stmt,address _write_data_flash_block,isa 1

	.dwfde $C$DW$CIE, _write_data_flash_block
$C$DW$20	.dwtag  DW_TAG_formal_parameter, DW_AT_name("dest_ptr")
	.dwattr $C$DW$20, DW_AT_TI_symbol_name("_dest_ptr")
	.dwattr $C$DW$20, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$20, DW_AT_location[DW_OP_reg0]
$C$DW$21	.dwtag  DW_TAG_formal_parameter, DW_AT_name("src_ptr")
	.dwattr $C$DW$21, DW_AT_TI_symbol_name("_src_ptr")
	.dwattr $C$DW$21, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$21, DW_AT_location[DW_OP_reg1]
$C$DW$22	.dwtag  DW_TAG_formal_parameter, DW_AT_name("byte_count")
	.dwattr $C$DW$22, DW_AT_TI_symbol_name("_byte_count")
	.dwattr $C$DW$22, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$22, DW_AT_location[DW_OP_reg2]

;*****************************************************************************
;* FUNCTION NAME: write_data_flash_block                                     *
;*                                                                           *
;*   Regs Modified     : A1,A2,A3,A4,V9,SP,LR,SR                             *
;*   Regs Used         : A1,A2,A3,A4,V9,SP,LR,SR                             *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                   *
;*****************************************************************************
_write_data_flash_block:
;* --------------------------------------------------------------------------*
	.dwcfi	cfa_offset, 0
        PUSH      {LR}                  ; [] 
	.dwcfi	cfa_offset, 4
	.dwcfi	save_reg_to_mem, 14, -4
	.dwpsn	file "../software_interrupt_wrapper.c",line 69,column 2,is_stmt,isa 1
        MOVS      A4, #13;              ; [] |69| 
$C$DW$23	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$23, DW_AT_low_pc(0x00)
	.dwattr $C$DW$23, DW_AT_name("_swi_single_entry")
	.dwattr $C$DW$23, DW_AT_TI_call
        SVC       #0                    ; [] |69| 
        ; CALL OCCURS {_swi_single_entry }  ; [] |69| 
        POP       {A3}                  ; [] 
	.dwcfi	cfa_offset, 0
$C$DW$24	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$24, DW_AT_low_pc(0x00)
	.dwattr $C$DW$24, DW_AT_TI_return
        BX        A3                    ; [] 
        ; BRANCH OCCURS                  ; [] 
	.dwattr $C$DW$19, DW_AT_TI_end_file("../software_interrupt_wrapper.c")
	.dwattr $C$DW$19, DW_AT_TI_end_line(0x46)
	.dwattr $C$DW$19, DW_AT_TI_end_column(0x01)
	.dwendentry
	.dwendtag $C$DW$19

	.sect	".text"
	.align	4
	.clink
	.thumbfunc _set_user_mode
	.thumb
	.global	_set_user_mode

$C$DW$25	.dwtag  DW_TAG_subprogram, DW_AT_name("set_user_mode")
	.dwattr $C$DW$25, DW_AT_low_pc(_set_user_mode)
	.dwattr $C$DW$25, DW_AT_high_pc(0x00)
	.dwattr $C$DW$25, DW_AT_TI_symbol_name("_set_user_mode")
	.dwattr $C$DW$25, DW_AT_external
	.dwattr $C$DW$25, DW_AT_TI_begin_file("../software_interrupt_wrapper.c")
	.dwattr $C$DW$25, DW_AT_TI_begin_line(0x3a)
	.dwattr $C$DW$25, DW_AT_TI_begin_column(0x06)
	.dwattr $C$DW$25, DW_AT_TI_max_frame_size(0x04)
	.dwpsn	file "../software_interrupt_wrapper.c",line 59,column 1,is_stmt,address _set_user_mode,isa 1

	.dwfde $C$DW$CIE, _set_user_mode

;*****************************************************************************
;* FUNCTION NAME: set_user_mode                                              *
;*                                                                           *
;*   Regs Modified     : A1,A2,A3,A4,V9,SP,LR,SR                             *
;*   Regs Used         : A1,A2,A3,A4,V9,SP,LR,SR                             *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                   *
;*****************************************************************************
_set_user_mode:
;* --------------------------------------------------------------------------*
;* A1    assigned to $O$C1
	.dwcfi	cfa_offset, 0
        PUSH      {LR}                  ; [] 
	.dwcfi	cfa_offset, 4
	.dwcfi	save_reg_to_mem, 14, -4
	.dwpsn	file "../software_interrupt_wrapper.c",line 60,column 2,is_stmt,isa 1
        MOVS      A1, #0;               ; [] |60| 
        MOVS      A2, A1                ; [] |60| 
        MOVS      A3, A2                ; [] |60| 
        MOVS      A4, #11;              ; [] |60| 
$C$DW$26	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$26, DW_AT_low_pc(0x00)
	.dwattr $C$DW$26, DW_AT_name("_swi_single_entry")
	.dwattr $C$DW$26, DW_AT_TI_call
        SVC       #0                    ; [] |60| 
        ; CALL OCCURS {_swi_single_entry }  ; [] |60| 
        POP       {A3}                  ; [] 
	.dwcfi	cfa_offset, 0
$C$DW$27	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$27, DW_AT_low_pc(0x00)
	.dwattr $C$DW$27, DW_AT_TI_return
        BX        A3                    ; [] 
        ; BRANCH OCCURS                  ; [] 
	.dwattr $C$DW$25, DW_AT_TI_end_file("../software_interrupt_wrapper.c")
	.dwattr $C$DW$25, DW_AT_TI_end_line(0x3d)
	.dwattr $C$DW$25, DW_AT_TI_end_column(0x01)
	.dwendentry
	.dwendtag $C$DW$25

	.sect	".text"
	.align	4
	.clink
	.thumbfunc _set_supervisor_mode
	.thumb
	.global	_set_supervisor_mode

$C$DW$28	.dwtag  DW_TAG_subprogram, DW_AT_name("set_supervisor_mode")
	.dwattr $C$DW$28, DW_AT_low_pc(_set_supervisor_mode)
	.dwattr $C$DW$28, DW_AT_high_pc(0x00)
	.dwattr $C$DW$28, DW_AT_TI_symbol_name("_set_supervisor_mode")
	.dwattr $C$DW$28, DW_AT_external
	.dwattr $C$DW$28, DW_AT_TI_begin_file("../software_interrupt_wrapper.c")
	.dwattr $C$DW$28, DW_AT_TI_begin_line(0x35)
	.dwattr $C$DW$28, DW_AT_TI_begin_column(0x06)
	.dwattr $C$DW$28, DW_AT_TI_max_frame_size(0x04)
	.dwpsn	file "../software_interrupt_wrapper.c",line 54,column 1,is_stmt,address _set_supervisor_mode,isa 1

	.dwfde $C$DW$CIE, _set_supervisor_mode

;*****************************************************************************
;* FUNCTION NAME: set_supervisor_mode                                        *
;*                                                                           *
;*   Regs Modified     : A1,A2,A3,A4,V9,SP,LR,SR                             *
;*   Regs Used         : A1,A2,A3,A4,V9,SP,LR,SR                             *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                   *
;*****************************************************************************
_set_supervisor_mode:
;* --------------------------------------------------------------------------*
;* A1    assigned to $O$C1
	.dwcfi	cfa_offset, 0
        PUSH      {LR}                  ; [] 
	.dwcfi	cfa_offset, 4
	.dwcfi	save_reg_to_mem, 14, -4
	.dwpsn	file "../software_interrupt_wrapper.c",line 55,column 2,is_stmt,isa 1
        MOVS      A1, #0;               ; [] |55| 
        MOVS      A2, A1                ; [] |55| 
        MOVS      A3, A2                ; [] |55| 
        MOVS      A4, #10;              ; [] |55| 
$C$DW$29	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$29, DW_AT_low_pc(0x00)
	.dwattr $C$DW$29, DW_AT_name("_swi_single_entry")
	.dwattr $C$DW$29, DW_AT_TI_call
        SVC       #0                    ; [] |55| 
        ; CALL OCCURS {_swi_single_entry }  ; [] |55| 
        POP       {A3}                  ; [] 
	.dwcfi	cfa_offset, 0
$C$DW$30	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$30, DW_AT_low_pc(0x00)
	.dwattr $C$DW$30, DW_AT_TI_return
        BX        A3                    ; [] 
        ; BRANCH OCCURS                  ; [] 
	.dwattr $C$DW$28, DW_AT_TI_end_file("../software_interrupt_wrapper.c")
	.dwattr $C$DW$28, DW_AT_TI_end_line(0x38)
	.dwattr $C$DW$28, DW_AT_TI_end_column(0x01)
	.dwendentry
	.dwendtag $C$DW$28

	.sect	".text"
	.align	4
	.clink
	.thumbfunc _erase_dflash_segment_no_delay
	.thumb
	.global	_erase_dflash_segment_no_delay

$C$DW$31	.dwtag  DW_TAG_subprogram, DW_AT_name("erase_dflash_segment_no_delay")
	.dwattr $C$DW$31, DW_AT_low_pc(_erase_dflash_segment_no_delay)
	.dwattr $C$DW$31, DW_AT_high_pc(0x00)
	.dwattr $C$DW$31, DW_AT_TI_symbol_name("_erase_dflash_segment_no_delay")
	.dwattr $C$DW$31, DW_AT_external
	.dwattr $C$DW$31, DW_AT_TI_begin_file("../software_interrupt_wrapper.c")
	.dwattr $C$DW$31, DW_AT_TI_begin_line(0x0e)
	.dwattr $C$DW$31, DW_AT_TI_begin_column(0x06)
	.dwattr $C$DW$31, DW_AT_TI_max_frame_size(0x04)
	.dwpsn	file "../software_interrupt_wrapper.c",line 15,column 1,is_stmt,address _erase_dflash_segment_no_delay,isa 1

	.dwfde $C$DW$CIE, _erase_dflash_segment_no_delay
$C$DW$32	.dwtag  DW_TAG_formal_parameter, DW_AT_name("segment")
	.dwattr $C$DW$32, DW_AT_TI_symbol_name("_segment")
	.dwattr $C$DW$32, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$32, DW_AT_location[DW_OP_reg0]

;*****************************************************************************
;* FUNCTION NAME: erase_dflash_segment_no_delay                              *
;*                                                                           *
;*   Regs Modified     : A1,A2,A3,A4,V9,SP,LR,SR                             *
;*   Regs Used         : A1,A2,A3,A4,V9,SP,LR,SR                             *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                   *
;*****************************************************************************
_erase_dflash_segment_no_delay:
;* --------------------------------------------------------------------------*
;* A2    assigned to $O$C1
	.dwcfi	cfa_offset, 0
        PUSH      {LR}                  ; [] 
	.dwcfi	cfa_offset, 4
	.dwcfi	save_reg_to_mem, 14, -4
	.dwpsn	file "../software_interrupt_wrapper.c",line 16,column 2,is_stmt,isa 1
        MOVS      A2, #0;               ; [] |16| 
        MOVS      A3, A2                ; [] |16| 
        MOVS      A4, #1;               ; [] |16| 
$C$DW$33	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$33, DW_AT_low_pc(0x00)
	.dwattr $C$DW$33, DW_AT_name("_swi_single_entry")
	.dwattr $C$DW$33, DW_AT_TI_call
        SVC       #0                    ; [] |16| 
        ; CALL OCCURS {_swi_single_entry }  ; [] |16| 
        POP       {A3}                  ; [] 
	.dwcfi	cfa_offset, 0
$C$DW$34	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$34, DW_AT_low_pc(0x00)
	.dwattr $C$DW$34, DW_AT_TI_return
        BX        A3                    ; [] 
        ; BRANCH OCCURS                  ; [] 
	.dwattr $C$DW$31, DW_AT_TI_end_file("../software_interrupt_wrapper.c")
	.dwattr $C$DW$31, DW_AT_TI_end_line(0x11)
	.dwattr $C$DW$31, DW_AT_TI_end_column(0x01)
	.dwendentry
	.dwendtag $C$DW$31

	.sect	".text"
	.align	4
	.clink
	.thumbfunc _erase_data_flash_segment
	.thumb
	.global	_erase_data_flash_segment

$C$DW$35	.dwtag  DW_TAG_subprogram, DW_AT_name("erase_data_flash_segment")
	.dwattr $C$DW$35, DW_AT_low_pc(_erase_data_flash_segment)
	.dwattr $C$DW$35, DW_AT_high_pc(0x00)
	.dwattr $C$DW$35, DW_AT_TI_symbol_name("_erase_data_flash_segment")
	.dwattr $C$DW$35, DW_AT_external
	.dwattr $C$DW$35, DW_AT_TI_begin_file("../software_interrupt_wrapper.c")
	.dwattr $C$DW$35, DW_AT_TI_begin_line(0x09)
	.dwattr $C$DW$35, DW_AT_TI_begin_column(0x06)
	.dwattr $C$DW$35, DW_AT_TI_max_frame_size(0x04)
	.dwpsn	file "../software_interrupt_wrapper.c",line 10,column 1,is_stmt,address _erase_data_flash_segment,isa 1

	.dwfde $C$DW$CIE, _erase_data_flash_segment
$C$DW$36	.dwtag  DW_TAG_formal_parameter, DW_AT_name("segment")
	.dwattr $C$DW$36, DW_AT_TI_symbol_name("_segment")
	.dwattr $C$DW$36, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$36, DW_AT_location[DW_OP_reg0]

;*****************************************************************************
;* FUNCTION NAME: erase_data_flash_segment                                   *
;*                                                                           *
;*   Regs Modified     : A1,A2,A3,A4,V9,SP,LR,SR                             *
;*   Regs Used         : A1,A2,A3,A4,V9,SP,LR,SR                             *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                   *
;*****************************************************************************
_erase_data_flash_segment:
;* --------------------------------------------------------------------------*
;* A2    assigned to $O$C1
	.dwcfi	cfa_offset, 0
        PUSH      {LR}                  ; [] 
	.dwcfi	cfa_offset, 4
	.dwcfi	save_reg_to_mem, 14, -4
	.dwpsn	file "../software_interrupt_wrapper.c",line 11,column 2,is_stmt,isa 1
        MOVS      A2, #0;               ; [] |11| 
        MOVS      A3, A2                ; [] |11| 
        MOVS      A4, A3                ; [] |11| 
$C$DW$37	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$37, DW_AT_low_pc(0x00)
	.dwattr $C$DW$37, DW_AT_name("_swi_single_entry")
	.dwattr $C$DW$37, DW_AT_TI_call
        SVC       #0                    ; [] |11| 
        ; CALL OCCURS {_swi_single_entry }  ; [] |11| 
        POP       {A3}                  ; [] 
	.dwcfi	cfa_offset, 0
$C$DW$38	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$38, DW_AT_low_pc(0x00)
	.dwattr $C$DW$38, DW_AT_TI_return
        BX        A3                    ; [] 
        ; BRANCH OCCURS                  ; [] 
	.dwattr $C$DW$35, DW_AT_TI_end_file("../software_interrupt_wrapper.c")
	.dwattr $C$DW$35, DW_AT_TI_end_line(0x0c)
	.dwattr $C$DW$35, DW_AT_TI_end_column(0x01)
	.dwendentry
	.dwendtag $C$DW$35

	.sect	".text"
	.align	4
	.clink
	.thumbfunc _enable_interrupt
	.thumb
	.global	_enable_interrupt

$C$DW$39	.dwtag  DW_TAG_subprogram, DW_AT_name("enable_interrupt")
	.dwattr $C$DW$39, DW_AT_low_pc(_enable_interrupt)
	.dwattr $C$DW$39, DW_AT_high_pc(0x00)
	.dwattr $C$DW$39, DW_AT_TI_symbol_name("_enable_interrupt")
	.dwattr $C$DW$39, DW_AT_external
	.dwattr $C$DW$39, DW_AT_TI_begin_file("../software_interrupt_wrapper.c")
	.dwattr $C$DW$39, DW_AT_TI_begin_line(0x22)
	.dwattr $C$DW$39, DW_AT_TI_begin_column(0x06)
	.dwattr $C$DW$39, DW_AT_TI_max_frame_size(0x04)
	.dwpsn	file "../software_interrupt_wrapper.c",line 35,column 1,is_stmt,address _enable_interrupt,isa 1

	.dwfde $C$DW$CIE, _enable_interrupt

;*****************************************************************************
;* FUNCTION NAME: enable_interrupt                                           *
;*                                                                           *
;*   Regs Modified     : A1,A2,A3,A4,V9,SP,LR,SR                             *
;*   Regs Used         : A1,A2,A3,A4,V9,SP,LR,SR                             *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                   *
;*****************************************************************************
_enable_interrupt:
;* --------------------------------------------------------------------------*
;* A1    assigned to $O$C1
	.dwcfi	cfa_offset, 0
        PUSH      {LR}                  ; [] 
	.dwcfi	cfa_offset, 4
	.dwcfi	save_reg_to_mem, 14, -4
	.dwpsn	file "../software_interrupt_wrapper.c",line 36,column 2,is_stmt,isa 1
        MOVS      A1, #0;               ; [] |36| 
        MOVS      A2, A1                ; [] |36| 
        MOVS      A3, A2                ; [] |36| 
        MOVS      A4, #6;               ; [] |36| 
$C$DW$40	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$40, DW_AT_low_pc(0x00)
	.dwattr $C$DW$40, DW_AT_name("_swi_single_entry")
	.dwattr $C$DW$40, DW_AT_TI_call
        SVC       #0                    ; [] |36| 
        ; CALL OCCURS {_swi_single_entry }  ; [] |36| 
        POP       {A3}                  ; [] 
	.dwcfi	cfa_offset, 0
$C$DW$41	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$41, DW_AT_low_pc(0x00)
	.dwattr $C$DW$41, DW_AT_TI_return
        BX        A3                    ; [] 
        ; BRANCH OCCURS                  ; [] 
	.dwattr $C$DW$39, DW_AT_TI_end_file("../software_interrupt_wrapper.c")
	.dwattr $C$DW$39, DW_AT_TI_end_line(0x25)
	.dwattr $C$DW$39, DW_AT_TI_end_column(0x01)
	.dwendentry
	.dwendtag $C$DW$39

	.sect	".text"
	.align	4
	.clink
	.thumbfunc _enable_fast_interrupt
	.thumb
	.global	_enable_fast_interrupt

$C$DW$42	.dwtag  DW_TAG_subprogram, DW_AT_name("enable_fast_interrupt")
	.dwattr $C$DW$42, DW_AT_low_pc(_enable_fast_interrupt)
	.dwattr $C$DW$42, DW_AT_high_pc(0x00)
	.dwattr $C$DW$42, DW_AT_TI_symbol_name("_enable_fast_interrupt")
	.dwattr $C$DW$42, DW_AT_external
	.dwattr $C$DW$42, DW_AT_TI_begin_file("../software_interrupt_wrapper.c")
	.dwattr $C$DW$42, DW_AT_TI_begin_line(0x18)
	.dwattr $C$DW$42, DW_AT_TI_begin_column(0x06)
	.dwattr $C$DW$42, DW_AT_TI_max_frame_size(0x04)
	.dwpsn	file "../software_interrupt_wrapper.c",line 25,column 1,is_stmt,address _enable_fast_interrupt,isa 1

	.dwfde $C$DW$CIE, _enable_fast_interrupt

;*****************************************************************************
;* FUNCTION NAME: enable_fast_interrupt                                      *
;*                                                                           *
;*   Regs Modified     : A1,A2,A3,A4,V9,SP,LR,SR                             *
;*   Regs Used         : A1,A2,A3,A4,V9,SP,LR,SR                             *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                   *
;*****************************************************************************
_enable_fast_interrupt:
;* --------------------------------------------------------------------------*
;* A1    assigned to $O$C1
	.dwcfi	cfa_offset, 0
        PUSH      {LR}                  ; [] 
	.dwcfi	cfa_offset, 4
	.dwcfi	save_reg_to_mem, 14, -4
	.dwpsn	file "../software_interrupt_wrapper.c",line 26,column 2,is_stmt,isa 1
        MOVS      A1, #0;               ; [] |26| 
        MOVS      A2, A1                ; [] |26| 
        MOVS      A3, A2                ; [] |26| 
        MOVS      A4, #4;               ; [] |26| 
$C$DW$43	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$43, DW_AT_low_pc(0x00)
	.dwattr $C$DW$43, DW_AT_name("_swi_single_entry")
	.dwattr $C$DW$43, DW_AT_TI_call
        SVC       #0                    ; [] |26| 
        ; CALL OCCURS {_swi_single_entry }  ; [] |26| 
        POP       {A3}                  ; [] 
	.dwcfi	cfa_offset, 0
$C$DW$44	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$44, DW_AT_low_pc(0x00)
	.dwattr $C$DW$44, DW_AT_TI_return
        BX        A3                    ; [] 
        ; BRANCH OCCURS                  ; [] 
	.dwattr $C$DW$42, DW_AT_TI_end_file("../software_interrupt_wrapper.c")
	.dwattr $C$DW$42, DW_AT_TI_end_line(0x1b)
	.dwattr $C$DW$42, DW_AT_TI_end_column(0x01)
	.dwendentry
	.dwendtag $C$DW$42

	.sect	".text"
	.align	4
	.clink
	.thumbfunc _disable_interrupt
	.thumb
	.global	_disable_interrupt

$C$DW$45	.dwtag  DW_TAG_subprogram, DW_AT_name("disable_interrupt")
	.dwattr $C$DW$45, DW_AT_low_pc(_disable_interrupt)
	.dwattr $C$DW$45, DW_AT_high_pc(0x00)
	.dwattr $C$DW$45, DW_AT_TI_symbol_name("_disable_interrupt")
	.dwattr $C$DW$45, DW_AT_external
	.dwattr $C$DW$45, DW_AT_TI_begin_file("../software_interrupt_wrapper.c")
	.dwattr $C$DW$45, DW_AT_TI_begin_line(0x27)
	.dwattr $C$DW$45, DW_AT_TI_begin_column(0x06)
	.dwattr $C$DW$45, DW_AT_TI_max_frame_size(0x04)
	.dwpsn	file "../software_interrupt_wrapper.c",line 40,column 1,is_stmt,address _disable_interrupt,isa 1

	.dwfde $C$DW$CIE, _disable_interrupt

;*****************************************************************************
;* FUNCTION NAME: disable_interrupt                                          *
;*                                                                           *
;*   Regs Modified     : A1,A2,A3,A4,V9,SP,LR,SR                             *
;*   Regs Used         : A1,A2,A3,A4,V9,SP,LR,SR                             *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                   *
;*****************************************************************************
_disable_interrupt:
;* --------------------------------------------------------------------------*
;* A1    assigned to $O$C1
	.dwcfi	cfa_offset, 0
        PUSH      {LR}                  ; [] 
	.dwcfi	cfa_offset, 4
	.dwcfi	save_reg_to_mem, 14, -4
	.dwpsn	file "../software_interrupt_wrapper.c",line 41,column 2,is_stmt,isa 1
        MOVS      A1, #0;               ; [] |41| 
        MOVS      A2, A1                ; [] |41| 
        MOVS      A3, A2                ; [] |41| 
        MOVS      A4, #7;               ; [] |41| 
$C$DW$46	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$46, DW_AT_low_pc(0x00)
	.dwattr $C$DW$46, DW_AT_name("_swi_single_entry")
	.dwattr $C$DW$46, DW_AT_TI_call
        SVC       #0                    ; [] |41| 
        ; CALL OCCURS {_swi_single_entry }  ; [] |41| 
        POP       {A3}                  ; [] 
	.dwcfi	cfa_offset, 0
$C$DW$47	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$47, DW_AT_low_pc(0x00)
	.dwattr $C$DW$47, DW_AT_TI_return
        BX        A3                    ; [] 
        ; BRANCH OCCURS                  ; [] 
	.dwattr $C$DW$45, DW_AT_TI_end_file("../software_interrupt_wrapper.c")
	.dwattr $C$DW$45, DW_AT_TI_end_line(0x2a)
	.dwattr $C$DW$45, DW_AT_TI_end_column(0x01)
	.dwendentry
	.dwendtag $C$DW$45

	.sect	".text"
	.align	4
	.clink
	.thumbfunc _disable_fast_interrupt
	.thumb
	.global	_disable_fast_interrupt

$C$DW$48	.dwtag  DW_TAG_subprogram, DW_AT_name("disable_fast_interrupt")
	.dwattr $C$DW$48, DW_AT_low_pc(_disable_fast_interrupt)
	.dwattr $C$DW$48, DW_AT_high_pc(0x00)
	.dwattr $C$DW$48, DW_AT_TI_symbol_name("_disable_fast_interrupt")
	.dwattr $C$DW$48, DW_AT_external
	.dwattr $C$DW$48, DW_AT_TI_begin_file("../software_interrupt_wrapper.c")
	.dwattr $C$DW$48, DW_AT_TI_begin_line(0x1d)
	.dwattr $C$DW$48, DW_AT_TI_begin_column(0x06)
	.dwattr $C$DW$48, DW_AT_TI_max_frame_size(0x04)
	.dwpsn	file "../software_interrupt_wrapper.c",line 30,column 1,is_stmt,address _disable_fast_interrupt,isa 1

	.dwfde $C$DW$CIE, _disable_fast_interrupt

;*****************************************************************************
;* FUNCTION NAME: disable_fast_interrupt                                     *
;*                                                                           *
;*   Regs Modified     : A1,A2,A3,A4,V9,SP,LR,SR                             *
;*   Regs Used         : A1,A2,A3,A4,V9,SP,LR,SR                             *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                   *
;*****************************************************************************
_disable_fast_interrupt:
;* --------------------------------------------------------------------------*
;* A1    assigned to $O$C1
	.dwcfi	cfa_offset, 0
        PUSH      {LR}                  ; [] 
	.dwcfi	cfa_offset, 4
	.dwcfi	save_reg_to_mem, 14, -4
	.dwpsn	file "../software_interrupt_wrapper.c",line 31,column 2,is_stmt,isa 1
        MOVS      A1, #0;               ; [] |31| 
        MOVS      A2, A1                ; [] |31| 
        MOVS      A3, A2                ; [] |31| 
        MOVS      A4, #5;               ; [] |31| 
$C$DW$49	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$49, DW_AT_low_pc(0x00)
	.dwattr $C$DW$49, DW_AT_name("_swi_single_entry")
	.dwattr $C$DW$49, DW_AT_TI_call
        SVC       #0                    ; [] |31| 
        ; CALL OCCURS {_swi_single_entry }  ; [] |31| 
        POP       {A3}                  ; [] 
	.dwcfi	cfa_offset, 0
$C$DW$50	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$50, DW_AT_low_pc(0x00)
	.dwattr $C$DW$50, DW_AT_TI_return
        BX        A3                    ; [] 
        ; BRANCH OCCURS                  ; [] 
	.dwattr $C$DW$48, DW_AT_TI_end_file("../software_interrupt_wrapper.c")
	.dwattr $C$DW$48, DW_AT_TI_end_line(0x20)
	.dwattr $C$DW$48, DW_AT_TI_end_column(0x01)
	.dwendentry
	.dwendtag $C$DW$48

	.sect	".text"
	.align	4
	.clink
	.thumbfunc _clear_integrity_word
	.thumb
	.global	_clear_integrity_word

$C$DW$51	.dwtag  DW_TAG_subprogram, DW_AT_name("clear_integrity_word")
	.dwattr $C$DW$51, DW_AT_low_pc(_clear_integrity_word)
	.dwattr $C$DW$51, DW_AT_high_pc(0x00)
	.dwattr $C$DW$51, DW_AT_TI_symbol_name("_clear_integrity_word")
	.dwattr $C$DW$51, DW_AT_external
	.dwattr $C$DW$51, DW_AT_TI_begin_file("../software_interrupt_wrapper.c")
	.dwattr $C$DW$51, DW_AT_TI_begin_line(0x3f)
	.dwattr $C$DW$51, DW_AT_TI_begin_column(0x06)
	.dwattr $C$DW$51, DW_AT_TI_max_frame_size(0x04)
	.dwpsn	file "../software_interrupt_wrapper.c",line 64,column 1,is_stmt,address _clear_integrity_word,isa 1

	.dwfde $C$DW$CIE, _clear_integrity_word
$C$DW$52	.dwtag  DW_TAG_formal_parameter, DW_AT_name("block")
	.dwattr $C$DW$52, DW_AT_TI_symbol_name("_block")
	.dwattr $C$DW$52, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$52, DW_AT_location[DW_OP_reg0]

;*****************************************************************************
;* FUNCTION NAME: clear_integrity_word                                       *
;*                                                                           *
;*   Regs Modified     : A1,A2,A3,A4,V9,SP,LR,SR                             *
;*   Regs Used         : A1,A2,A3,A4,V9,SP,LR,SR                             *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                   *
;*****************************************************************************
_clear_integrity_word:
;* --------------------------------------------------------------------------*
;* A2    assigned to $O$C1
	.dwcfi	cfa_offset, 0
        PUSH      {LR}                  ; [] 
	.dwcfi	cfa_offset, 4
	.dwcfi	save_reg_to_mem, 14, -4
	.dwpsn	file "../software_interrupt_wrapper.c",line 65,column 2,is_stmt,isa 1
        MOVS      A2, #0;               ; [] |65| 
        MOVS      A3, A2                ; [] |65| 
        MOVS      A4, #12;              ; [] |65| 
$C$DW$53	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$53, DW_AT_low_pc(0x00)
	.dwattr $C$DW$53, DW_AT_name("_swi_single_entry")
	.dwattr $C$DW$53, DW_AT_TI_call
        SVC       #0                    ; [] |65| 
        ; CALL OCCURS {_swi_single_entry }  ; [] |65| 
        POP       {A3}                  ; [] 
	.dwcfi	cfa_offset, 0
$C$DW$54	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$54, DW_AT_low_pc(0x00)
	.dwattr $C$DW$54, DW_AT_TI_return
        BX        A3                    ; [] 
        ; BRANCH OCCURS                  ; [] 
	.dwattr $C$DW$51, DW_AT_TI_end_file("../software_interrupt_wrapper.c")
	.dwattr $C$DW$51, DW_AT_TI_end_line(0x42)
	.dwattr $C$DW$51, DW_AT_TI_end_column(0x01)
	.dwendentry
	.dwendtag $C$DW$51


;******************************************************************************
;* TYPE INFORMATION                                                           *
;******************************************************************************
$C$DW$T$2	.dwtag  DW_TAG_unspecified_type
	.dwattr $C$DW$T$2, DW_AT_name("void")
$C$DW$T$4	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$4, DW_AT_encoding(DW_ATE_boolean)
	.dwattr $C$DW$T$4, DW_AT_name("bool")
	.dwattr $C$DW$T$4, DW_AT_byte_size(0x01)
$C$DW$T$5	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$5, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$5, DW_AT_name("signed char")
	.dwattr $C$DW$T$5, DW_AT_byte_size(0x01)
$C$DW$T$6	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$6, DW_AT_encoding(DW_ATE_unsigned_char)
	.dwattr $C$DW$T$6, DW_AT_name("unsigned char")
	.dwattr $C$DW$T$6, DW_AT_byte_size(0x01)
$C$DW$T$7	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$7, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$7, DW_AT_name("wchar_t")
	.dwattr $C$DW$T$7, DW_AT_byte_size(0x02)
$C$DW$T$8	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$8, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$8, DW_AT_name("short")
	.dwattr $C$DW$T$8, DW_AT_byte_size(0x02)
$C$DW$T$9	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$9, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$9, DW_AT_name("unsigned short")
	.dwattr $C$DW$T$9, DW_AT_byte_size(0x02)
$C$DW$T$10	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$10, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$10, DW_AT_name("int")
	.dwattr $C$DW$T$10, DW_AT_byte_size(0x04)
$C$DW$T$11	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$11, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$11, DW_AT_name("unsigned int")
	.dwattr $C$DW$T$11, DW_AT_byte_size(0x04)
$C$DW$T$19	.dwtag  DW_TAG_typedef, DW_AT_name("Uint32")
	.dwattr $C$DW$T$19, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$19, DW_AT_language(DW_LANG_C)
$C$DW$T$12	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$12, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$12, DW_AT_name("long")
	.dwattr $C$DW$T$12, DW_AT_byte_size(0x04)
$C$DW$T$13	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$13, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$13, DW_AT_name("unsigned long")
	.dwattr $C$DW$T$13, DW_AT_byte_size(0x04)
$C$DW$T$14	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$14, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$14, DW_AT_name("long long")
	.dwattr $C$DW$T$14, DW_AT_byte_size(0x08)
$C$DW$T$15	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$15, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$15, DW_AT_name("unsigned long long")
	.dwattr $C$DW$T$15, DW_AT_byte_size(0x08)
$C$DW$T$16	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$16, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$16, DW_AT_name("float")
	.dwattr $C$DW$T$16, DW_AT_byte_size(0x04)
$C$DW$T$17	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$17, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$17, DW_AT_name("double")
	.dwattr $C$DW$T$17, DW_AT_byte_size(0x08)
$C$DW$T$18	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$18, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$18, DW_AT_name("long double")
	.dwattr $C$DW$T$18, DW_AT_byte_size(0x08)
$C$DW$T$21	.dwtag  DW_TAG_typedef, DW_AT_name("Uint8")
	.dwattr $C$DW$T$21, DW_AT_type(*$C$DW$T$6)
	.dwattr $C$DW$T$21, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$CU, DW_AT_language(DW_LANG_C)

;***************************************************************
;* DWARF CIE ENTRIES                                           *
;***************************************************************

$C$DW$CIE	.dwcie 14
	.dwcfi	cfa_register, 13
	.dwcfi	cfa_offset, 0
	.dwcfi	undefined, 0
	.dwcfi	undefined, 1
	.dwcfi	undefined, 2
	.dwcfi	undefined, 3
	.dwcfi	same_value, 4
	.dwcfi	same_value, 5
	.dwcfi	same_value, 6
	.dwcfi	same_value, 7
	.dwcfi	same_value, 8
	.dwcfi	same_value, 9
	.dwcfi	same_value, 10
	.dwcfi	same_value, 11
	.dwcfi	undefined, 12
	.dwcfi	undefined, 13
	.dwcfi	undefined, 14
	.dwcfi	undefined, 14
	.dwcfi	undefined, 7
	.dwendentry
	.dwendtag $C$DW$CU

